summaryrefslogtreecommitdiff
path: root/media-libs/libkate
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /media-libs/libkate
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'media-libs/libkate')
-rw-r--r--media-libs/libkate/Manifest1
-rw-r--r--media-libs/libkate/libkate-0.4.1-r4.ebuild44
-rw-r--r--media-libs/libkate/metadata.xml21
3 files changed, 66 insertions, 0 deletions
diff --git a/media-libs/libkate/Manifest b/media-libs/libkate/Manifest
new file mode 100644
index 000000000000..dd4a95544e98
--- /dev/null
+++ b/media-libs/libkate/Manifest
@@ -0,0 +1 @@
+DIST libkate-0.4.1.tar.gz 906896 BLAKE2B 99e755a365fcd9983fcce59f38a313b4c0c23c3a274e3b98c8756aafae29d19dc3ed3d200cf2207dd2d4985d8e99ec0d47dcdadc273a78ff84c4be11330b1e0a SHA512 2635237753abc0f6c43fc07bd0ecc57c2f3c893efa6c62ad08de9191045612477302ed45acd61cdfea7447efd654ebbe0ed2d6a2cbf867eb834581d7ee43377b
diff --git a/media-libs/libkate/libkate-0.4.1-r4.ebuild b/media-libs/libkate/libkate-0.4.1-r4.ebuild
new file mode 100644
index 000000000000..897428203619
--- /dev/null
+++ b/media-libs/libkate/libkate-0.4.1-r4.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal
+
+DESCRIPTION="Codec for karaoke and text encapsulation for Ogg"
+HOMEPAGE="https://code.google.com/p/libkate/"
+SRC_URI="https://libkate.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~loong ~mips ppc ppc64 ~riscv ~sparc x86"
+
+IUSE="debug doc"
+
+RDEPEND="
+ media-libs/libogg:=[${MULTILIB_USEDEP}]
+ media-libs/libpng:0=[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ app-alternatives/yacc
+ sys-devel/flex[${MULTILIB_USEDEP}]
+ virtual/pkgconfig
+ doc? ( app-text/doxygen )
+"
+
+multilib_src_configure() {
+ local ECONF_SOURCE="${S}"
+
+ econf \
+ --disable-static \
+ $(use_enable debug) \
+ $(multilib_native_use_enable doc) \
+ PYTHON=:
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ find "${D}" -name '*.la' -delete || die
+}
diff --git a/media-libs/libkate/metadata.xml b/media-libs/libkate/metadata.xml
new file mode 100644
index 000000000000..2df640578fee
--- /dev/null
+++ b/media-libs/libkate/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>media-video@gentoo.org</email>
+ <name>Gentoo Video project</name>
+ </maintainer>
+ <longdescription lang="en">Kate is a codec for karaoke and text encapsulation for Ogg. Most of the
+ time, this would be multiplexed with audio/video to carry subtitles,
+ song lyrics (with or without karaoke data), etc, but doesn't have to be.
+ A possible use of a lone Kate stream would be an e-book. Moreover, the
+ motion feature gives Kate a powerful means to describe arbitrary curves,
+ so hand drawing of shapes can be achieved. This was originally meant for
+ karaoke use, but can be used for any purpose. Motions can be attached to
+ various semantics, like position, color, etc, so scrolling or fading
+ text can be defined.
+ More information can be found at http://wiki.xiph.org/index.php/OggKate</longdescription>
+ <upstream>
+ <remote-id type="google-code">libkate</remote-id>
+ </upstream>
+</pkgmetadata>